Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.annotation
Class LifeCycleCallback

    java.lang.Object
      org.mortbay.jetty.plus.annotation.LifeCycleCallback

Direct Known Subclasses:
  PostConstructCallback, PreDestroyCallback

    public abstract class LifeCycleCallback

extends Object

LifeCycleCallback

Field Summary
`static Object[]` | `__EMPTY_ARGS`

Constructor Summary
`LifeCycleCallback()`

Method Summary
`void` | `callback(Object instance)`
`boolean` | `equals(Object o)`
`Method` | `findMethod(Package pack, Class clazz, String methodName, boolean checkInheritance)` Find a method of the given name either directly in the given class, or inherited.
`Method` | `getTarget()`
`Class` | `getTargetClass()`
`void` | `setTarget(Class clazz, String methodName)`
`void` | `setTarget(Method target)`
`void` | `setTargetClass(Class clazz)`
`abstract void` | `validate(Class clazz, Method m)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __EMPTY_ARGS

    public static final Object[] __EMPTY_ARGS

Constructor Detail

### LifeCycleCallback

    public LifeCycleCallback()

Method Detail

### getTargetClass

    public Class getTargetClass()

  Returns:
    the _targetClass

### setTargetClass

    public void setTargetClass(Class clazz)

  Parameters:
    `name` - the class to set

### getTarget

    public Method getTarget()

  Returns:
    the target

### setTarget

    public void setTarget(Method target)

  Parameters:
    `target` - the target to set

### setTarget

    public void setTarget(Class clazz,
                          String methodName)

### callback

    public void callback(Object instance)
                  throws Exception

  Throws:
    `Exception`

### findMethod

    public Method findMethod(Package pack,
                             Class clazz,
                             String methodName,
                             boolean checkInheritance)

  Find a method of the given name either directly in the given class, or inherited.

  Parameters:
    `pack` - the package of the class under inspection
    `clazz` - the class under inspection
    `methodName` - the method to find
    `checkInheritance` - false on first entry, true if a superclass is being introspected
  Returns:

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### validate

    public abstract void validate(Class clazz,
                                  Method m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.